Name:           ocaml-seq
Version:        0.1
Release:        %mkrel 4
Summary:        Compatibility package for OCaml's standard iterator type
Group:          Development/OCaml
License:        LGPLv2+ with exceptions

URL:            https://github.com/c-cube/seq
Source0:        https://github.com/c-cube/seq/archive/0.1.tar.gz

# Upstream patches since 0.1 was released.
Patch0001:      0001-switch-between-definition-alias-module-depending-on-.patch
Patch0002:      0002-fix-opam-set-LGPL-as-the-license-close-2.patch
Patch0003:      0003-fix-opam-specify-constraints-on-ocaml-4.07.patch
Patch0004:      0004-add-license.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild-devel


%description
Compatibility package for OCaml's standard iterator type starting from 4.07.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n seq-%{version}
%autopatch -p1


%build
%make_build all


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# Don't ship the .ml file.
rm $OCAMLFIND_DESTDIR/seq/seq.ml


%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/seq
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/seq/*.a
%exclude %{_libdir}/ocaml/seq/*.cmxa
%exclude %{_libdir}/ocaml/seq/*.cmx
%endif
%exclude %{_libdir}/ocaml/seq/*.mli
%exclude %{_libdir}/ocaml/seq/META


%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/seq/*.a
%{_libdir}/ocaml/seq/*.cmxa
%{_libdir}/ocaml/seq/*.cmx
%endif
%{_libdir}/ocaml/seq/*.mli
%{_libdir}/ocaml/seq/META




%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.1-4.mga8
+ Revision: 1670477
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.1-3.mga8
+ Revision: 1551368
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1-2.mga8
+ Revision: 1544471
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.1-1.mga8
+ Revision: 1483047
- imported package ocaml-seq

